.\"	$NetBSD: de.4,v 1.8 2003/03/31 12:34:49 bjh21 Exp $
.Dd February 11, 2000
.Dt DE 4
.Os
.Sh NAME
.Nm de
.Nd
.Tn DECchip
21040, 21140, 21141, 21142, and 21143
.Tn PCI
.Tn Ethernet
interface driver
.Sh SYNOPSIS
.Cd "de* at pci? dev ? function ?"
.Pp
Configuration of PHYs may also be necessary.
See
.Xr mii 4 .
.Sh DESCRIPTION
The
.Nm
driver supports
.Tn Ethernet
and Fast
.Tn Ethernet
interfaces based on the Digital Equipment Corporation
.Tn DECchip
21040, 21140, 21141, 21142, and 21143 model controllers for
.Tn PCI
bus.
.Pp
.Bl -hang -compact
.It 21040
10BASE-T and AUI/BNC
.It 21140
10BASE-T and 100BASE-TX
.It 21141
10BASE-T and 100BASE-TX
.It 21142
10BASE-T and 100BASE-TX
.It 21143
10BASE-T and 100BASE-TX
.El
.Pp
Supported Network Interface Cards (NIC) include, but are not limited to:
.Pp
.Bl -hang -compact
.It Tn Accton EN1207i
.It Tn Cogent EM100
.It Tn Asante AsanteFAST
.It Tn DEC DE435
.It Tn DEC DE450
.It Tn DEC DE500
.It Tn SMC 9332
.It Tn Znyx NetBlaster ZX340 series (345, 348, 346)
.El
.Pp
Generally, if the NIC is for
.Tn PCI
bus, and the major controller chip has the
.Tn DIGITAL
logo on it, with one of the model numbers above, the
.Nm
driver should recognize and control it.
Beware, however, that many NIC manufacturers change the
.Tn Ethernet
controller chip without changing the product model number, and
a physical inspection of the NIC, or a probe of the NIC with a
.Tn PCI
diagnostic tool is the only way to tell if a real
.Tn DEC
.Tn TULIP
controller is present.
.Pp
Multi-port interfaces are typically configured as a
.Tn PCI Ns \- Ns Tn PCI
bridge with multiple
.Nm
instances on the
.Tn PCI
bus on the other side of the bridge.
.Pp
.Tn DEC
sold its semiconductor division to
.Tn Intel .
In addition, there are many "knock-offs" of the
.Tn DEC
.Tn TULIP
.Tn Ethernet
controller chips; NICs based on these chips are handled by the
.Xr tlp 4
driver.
.Pp
This
.Nm
driver should not be confused with the
.Nx
.Tn VAX
.Nm
driver for the
.Tn DEC
.Tn DEUNA/DELUA
.Tn Ethernet
controller for
.Tn UniBus .
.Sh SEE ALSO
.Xr ifmedia 4 ,
.Xr intro 4 ,
.Xr mii 4 ,
.Xr pci 4 ,
.Xr tlp 4 ,
.Xr ifconfig 8
.Pp
.Pa http://www.adaptec.com/ ,
.Pa http://www.asante.com/ ,
.Pa http://www.smc.com/ ,
.Pa http://www.znyx.com/
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.1
.Sh AUTHORS
Matt Thomas
.Aq matt@3am-software.com .
